Subject: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: martin rudalics <[email-masked]>
Date: Sat, 14 Dec 2019 10:06:14 +0100

> I mean literally. Emacs frame does not redraw properly. I tried make
 > several window splits after M-x menu-bar-mode. See the attached
 > screenshot.
 >
 > I don't even need to change fonts or load emacs theme to trigger this.

OK.  So we have a simpler scenario now.  From the screenshot I cannot
understand where redrawing hangs.  Is input still functional in such a
mangled frame?  Does evaluating (redisplay t) change anything?

Two additional things you could try: What happens when you use 0
instead of 1 in the XtNwidthInc and XtNheightInc assignments like

		 XtNwidthInc, (XtArgVal) (frame_resize_pixelwise ? 0 : cw),
		 XtNheightInc, (XtArgVal) (frame_resize_pixelwise ? 0 : ch),

And what happens when you skip these two assignments entirely when
frame_resize_pixelwise is non-nil?

martin